.freerolls {
	margin-bottom: 24px;
}

.freerolls-short {
	margin: 30px 0;
	clear: both;
}

.frerolls__header {
	margin: 24px 0 12px;
}

.frerolls__header:first-child {
	margin-top: 0;
}

.freeroll-item:first-child .frerolls__date {
	margin-top: -16px;
}

.frerolls__date {
	font-size: 16px;
	line-height: 20px;
	font-weight: 500;
	color: #999999;
}

.freeroll-item {
	display: flex;
	flex-direction: column;
	align-items: flex-start;
	position: relative;
	background-color: #F8F8F8;
	border: 1px solid #D8D8D8;
}

.freeroll-item:not(:last-child) {
	margin-bottom: 12px;
}

.freeroll-item__inside {
	width: 100%;
	height: 100%;
	padding: 12px;
}

.freeroll-item__headline {
	display: flex;
	align-items: center;
	margin-bottom: 10px;
}

.freeroll-item__time {
	display: flex;
	align-items: center;
	font-size: 13px;
	line-height: 16px;
	font-weight: bold;
	color: #777777;
}

.freeroll-item__label {
	display: flex;
	align-items: center;
	justify-content: center;
	height: 20px;
	margin-left: 12px;
	padding: 0 8px;
	font-size: 12px;
	line-height: 14px;
	font-weight: bold;
	text-transform: uppercase;
	color: var(--white);
	background-color: var(--radical-red-500);
	overflow: hidden;
}


.freeroll-item__header {
	display: flex;
	align-items: center;
	margin-bottom: 15px;
}

.freeroll-item__icon {
	width: 36px;
	height: 36px;
	margin-right: 12px;
}

.freeroll-item__icon-link {
	display: flex;
	align-items: center;
	justify-content: center;
	flex-shrink: 0;
	width: 36px;
	height: 36px;
}

.freeroll-item__icon-image {
	display: block;
	max-width: 100%;
	max-height: 100%;
	object-fit: contain;
}

.freeroll-item__image-default {
	border-radius: 8px;
}

.freeroll-item__title {
	font-size: 16px;
	line-height: 20px;
}

.freeroll-item__title-link {
	color: #000000;
}

.freeroll-item__title-link:hover {
	color: var(--radical-red-500);
}

.freeroll-item__currency--symbol {
	margin-right: 3px;
}

.freeroll-item__currency--name {
	margin-left: 3px;
}

.freeroll-item__info {
	display: flex;
	flex-direction: column;
	margin-bottom: 12px;
	border-bottom: 1px solid #D8D8D8;
}

.freeroll-item__info-row {
	display: flex;
	align-items: center;
	justify-content: space-between;
	margin-bottom: 12px;
}

.freeroll-item__info-label {
	width: calc(50% - 5px);
	font-size: 14px;
	line-height: 24px;
	color: #777777;
}

.freeroll-item__info-value {
	display: flex;
	align-items: center;
	width: calc(50% - 5px);
	font-size: 14px;
	line-height: 24px;
	font-weight: 500;
	word-break: break-word;
	color: #777777;
}

.freeroll-item__info-value--prize {
	font-size: 18px;
	line-height: 24px;
	font-weight: bold;
	color: #000000;
}

.freeroll-item__info-value-icon {
	display: block;
	width: 18px;
	height: 18px;
	margin-right: 4px;
	fill: #777777;
}

.freeroll-item__password-btn {
	display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 24px;
    padding: 0 8px 0 0;
    font-size: 14px;
    line-height: 16px;
    font-weight: 500;
    background-color: transparent;
    border: 1px solid #000000;
    border-radius: 4px;
    outline: none;
    overflow: hidden;
}

.freeroll-item__password-btn:before {
    content: "";
    display: block;
    width: 24px;
    height: 100%;
    margin-right: 8px;
    background-repeat: no-repeat;
    background-position: center;
    background-size: 16px;
    background-color: #000000;
    background-image: url("data:image/svg+xml,%3Csvg id='password' viewBox='0 0 16 16' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M11.5 6H11V3.5C11 2.70435 10.6839 1.94129 10.1213 1.37868C9.55871 0.81607 8.79565 0.5 8 0.5C7.20435 0.5 6.44129 0.81607 5.87868 1.37868C5.31607 1.94129 5 2.70435 5 3.5V6H4.5C3.96974 6.00058 3.46137 6.21148 3.08643 6.58643C2.71148 6.96137 2.50058 7.46974 2.5 8V13.5C2.50058 14.0303 2.71148 14.5386 3.08643 14.9136C3.46137 15.2885 3.96974 15.4994 4.5 15.5H11.5C12.0303 15.4994 12.5386 15.2885 12.9136 14.9136C13.2885 14.5386 13.4994 14.0303 13.5 13.5V8C13.4994 7.46974 13.2885 6.96137 12.9136 6.58643C12.5386 6.21148 12.0303 6.00058 11.5 6ZM10 6H6V3.5C6 2.96957 6.21071 2.46086 6.58579 2.08579C6.96086 1.71071 7.46957 1.5 8 1.5C8.53043 1.5 9.03914 1.71071 9.41421 2.08579C9.78929 2.46086 10 2.96957 10 3.5V6Z' fill='%23FAFF00'/%3E%3Cpath d='M11.5 6H11V3.5C11 2.70435 10.6839 1.94129 10.1213 1.37868C9.55871 0.81607 8.79565 0.5 8 0.5C7.20435 0.5 6.44129 0.81607 5.87868 1.37868C5.31607 1.94129 5 2.70435 5 3.5V6H4.5C3.96974 6.00058 3.46137 6.21148 3.08643 6.58643C2.71148 6.96137 2.50058 7.46974 2.5 8V13.5C2.50058 14.0303 2.71148 14.5386 3.08643 14.9136C3.46137 15.2885 3.96974 15.4994 4.5 15.5H11.5C12.0303 15.4994 12.5386 15.2885 12.9136 14.9136C13.2885 14.5386 13.4994 14.0303 13.5 13.5V8C13.4994 7.46974 13.2885 6.96137 12.9136 6.58643C12.5386 6.21148 12.0303 6.00058 11.5 6ZM10 6H6V3.5C6 2.96957 6.21071 2.46086 6.58579 2.08579C6.96086 1.71071 7.46957 1.5 8 1.5C8.53043 1.5 9.03914 1.71071 9.41421 2.08579C9.78929 2.46086 10 2.96957 10 3.5V6Z' fill='white'/%3E%3Crect x='7.5' y='12' width='1' height='2' rx='0.5' fill='black'/%3E%3Ccircle cx='8' cy='12' r='1' fill='black'/%3E%3C/svg%3E%0A");
}

.freeroll-item__password-btn .password-btn__text {
	margin: 0 auto;
}

.freeroll-item__buttons {
	display: flex;
	align-items: center;
	justify-content: space-between;
	min-height: 36px;
}

.freeroll-item__description {
	position: relative;
	width: calc(50% - 5px);
}

.freeroll-item__description-link {
	display: inline-block;
	font-size: 16px;
	line-height: 20px;
	color: #999999;
	border-bottom: 1px dashed;
	cursor: pointer;
}

.freeroll-item__description-link:hover + .freeroll-item__description-content {
	display: block;
}

.freeroll-item__description-content {
	display: none;
	position: absolute;
	bottom: calc(100% + 5px);
	left: 0;
	width: 250px;
	padding: 16px;
	font-size: 12px;
	line-height: 14px;
	color: #FFFFFF;
	background-color: #393939;
	border-radius: 2px;
	z-index: 1;
}

.freeroll-item__description-content:after {
	content: "";
	display: block;
	position: absolute;
	bottom: -4px;
	left: 20px;
	width: 8px;
	height: 8px;
	background-color: #393939;
	transform: rotate(45deg);
}

.freeroll-item__button {
	width: calc(50% - 5px);
	margin: 0 0 0 auto;
	text-transform: initial;
}

.freeroll-item__button--play:not(:empty) ~ .freeroll-item__button--reviews {
	display: none;
}

.freeroll-item__bonus {
	display: flex;
	flex-direction: column;
	align-items: center;
	width: 100%;
	padding: 12px;
	background-color: #EFEFEF;
}

.freeroll-item__bonus-text {
	margin-bottom: 8px;
	font-size: 16px;
	line-height: 20px;
	text-align: center;
}

.frerolls__title,
.frerolls__prize,
.frerolls__buy-in {
	display: none;
}

/*** Responsive ***/

@media (min-width: 768px) {

	.freeroll-item--exclusive .freeroll-item__inside {
		padding-top: 32px;
	}

	.freeroll-item__label {
		position: absolute;
		top: 0;
		left: 0;
		margin: -1px 0 0 -1px;
	}

	.freeroll-item__inside {
		display: flex;
		justify-content: space-between;
	}

	.freeroll-item__content {
		display: flex;
		align-items: center;
		width: 100%;
	}

	.freeroll-item__aside {
		display: flex;
	}

	.freeroll-item__headline {
		margin: 0;
	}

	.freeroll-item__time {
		flex-shrink: 0;
		margin: 0 12px 0 0;
		font-size: 14px;
	}

	.freeroll-item__header {
		width: 300px;
		margin: 0 12px 0 0;
	}

	.freeroll-item__icon {
		width: 48px;
		height: 48px;
		margin-right: 12px;
	}

	.freeroll-item__icon-link {
		width: 48px;
		height: 48px;
	}

	.freeroll-item__info {
		width: 160px;
		margin: 0 auto;
		border: 0;
	}

	.freeroll-item__info-row {
		margin: 0;
	}

	.freeroll-item__info-row:not(:last-child) {
		margin-bottom: 10px;
	}

	.freeroll-item__info-label {
		display: none;
		width: 100%;
	}

	.freeroll-item__info-value {
		width: 100%;
	}

	.freeroll-item__buttons {
		flex-direction: column;
		align-items: center;
		justify-content: center;
		flex-shrink: 0;
		width: 100px;
		margin: 0 0 0 12px;
	}

	.freeroll-item__description {
		order: 2;
		width: initial;
		margin: 6px auto 0;
	}

	.freeroll-item__description-content {
		left: -85px;
	}

	.freeroll-item__description-content:after {
		left: 50%;
		margin-left: -4px;
	}

	.freeroll-item__button {
		width: 100%;
	}

	.freeroll-item__bonus {
		flex-direction: row;
		justify-content: flex-end;
		padding: 12px;
	}

	.freeroll-item__bonus-text {
		margin: 0 8px 0 0;
		text-align: right;
	}

	.freeroll-item__bonus-text br {
		display: none;
	}

	.freeroll-item__bonus-btn {
		min-width: 150px;
	}
}

@media (min-width: 1280px) {

	.frerolls__header {
		margin: 24px 0 8px;
	}

	.frerolls__date:first-child {
		margin-top: 0;
		padding-bottom: 0;
	}

	.freeroll-item__header {
		margin-right: 28px;
	}

	.freeroll-item__info {
		flex-direction: row;
		justify-content: space-between;
		width: 100%;
	}

	.freeroll-item__info-row {
		width: 50%;
	}

	.freeroll-item__info-row:not(:last-child) {
		margin: 0;
	}

	.freeroll-item__buttons {
		width: 150px;
		margin-left: 40px;
	}

	.frerolls__header {
		display: flex;
		align-items: center;
	}

	.frerolls__title,
	.frerolls__prize,
	.frerolls__buy-in {
		display: block;
		font-size: 16px;
		line-height: 20px;
		font-weight: 500;
		color: #999999;
	}

	.frerolls__title {
		margin-left: 32px;
	}

	.frerolls__prize {
		margin-left: 170px;
	}

	.frerolls__buy-in {
		margin-left: 65px;
	}

	.freerolls-short .freeroll-item__header {
		max-width: 220px;
	}

	.freerolls-short .frerolls__prize {
		margin-left: 110px;
	}

	.freerolls-short .frerolls__buy-in {
		margin-left: 50px;
	}

	.freerolls-short .freeroll-item__info-value-icon {
		flex-shrink: 0;
	}

	.freerolls-short .freeroll-item__info-value {
		white-space: nowrap;
	}
}
